osl::LightMutex::unlockable_lock Class Reference

requirement: thread local More...

`#include <lightMutex.h>`

## Public Member Functions

| unlockable_lock (LightMutex &m)
| ~unlockable_lock ()
void | unlock ()

## Private Member Functions

| unlockable_lock (const unlockable_lock &)
unlockable_lock & | operator= (const unlockable_lock &)

## Private Attributes

LightMutex & | m
bool | locked

## Detailed Description

requirement: thread local

Definition at line 99 of file lightMutex.h.

## Constructor & Destructor Documentation

## unlockable_lock() [1/2]

osl::misc::LightMutex::unlockable_lock::unlockable_lock | ( | const unlockable_lock & |  | ) |

private

## unlockable_lock() [2/2]

osl::misc::LightMutex::unlockable_lock::unlockable_lock | ( | LightMutex & | m | ) |

inline

Definition at line 106 of file lightMutex.h.

## ~unlockable_lock()

osl::misc::LightMutex::unlockable_lock::~unlockable_lock | ( |  | ) |

inline

Definition at line 109 of file lightMutex.h.

## Member Function Documentation

## operator=()

unlockable_lock & osl::misc::LightMutex::unlockable_lock::operator= | ( | const unlockable_lock & |  | ) |

private

## unlock()

void osl::misc::LightMutex::unlockable_lock::unlock | ( |  | ) |

inline

Definition at line 112 of file lightMutex.h.

Referenced by osl::misc::LightMutex::unlockable_lock::~unlockable_lock().

## Member Data Documentation

## locked

bool osl::misc::LightMutex::unlockable_lock::locked

private

Definition at line 104 of file lightMutex.h.

## m

LightMutex& osl::misc::LightMutex::unlockable_lock::m

private

Definition at line 103 of file lightMutex.h.

The documentation for this class was generated from the following file:

- lightMutex.h